
/* 
   Save data to global var
   data_list - array of strings
   var_name - storage variable name
*/
function SaveStorage(data_list, var_name)
{
   full_name = "Global." + var_name;
      
   // Get global var with phones
   var_string = IR.GetVariable(full_name);
   if(typeof(var_string) == 'undefined') { var_string = ""; }
   
   new_element = '';
   for(var i=0; i < data_list.length; i++) {
      new_element += data_list[i] + ',';
   }
   new_element += ';'
   // concat new element 
   new_string = var_string + new_element;
   // save to global var in .xml
   IR.SetVariable(full_name, new_string);
}

/* 
   Delete from global by id
   id - substring num
   var_name - storage variable name
   list - list pointer
*/
function DeleteFromStorage(id, var_name, list)
{
   full_name = "Global." + var_name;
   // Get global var with phones
   var_string = IR.GetVariable(full_name);
   if(typeof(var_string) == 'undefined') { return;}
   
   data_list = var_string.split(';');
   
   if(id < data_list.length)
   {
      data_list.splice(id, 1);
      IR.SetVariable(full_name, data_list.join(';'));
      // delete from list!!
      if (list) {
         list.DeleteItem(id);
      }
   }
}

/*
   Get element by id
   id - substring num
   var_name - storage variable name
*/
function GetFromStorage(id, var_name)
{
   full_name = "Global." + var_name;
   // Get global var with phones
   var_string = IR.GetVariable(full_name);
   if(typeof(var_string) == 'undefined') { return 0;}
   
   data_list = var_string.split(';');
   if(id < data_list.length) {
      param = data_list[id].split(',');
      return param;
   }
   
   return 0;
}

/*
   Get data from global var and fill project items
   var_name - storage variable name
   func_FillList - fill function
*/
function FillListFromStorage(var_name, func_FillList)
{
   full_name = "Global." + var_name;
   // Get global var with phones
   var_string = IR.GetVariable(full_name);
   //IR.Log(var_string);
   if(typeof(var_string) == 'undefined') { return;}

   // split into tokens
   data_list = var_string.split(';');
   // why - 1? how split works
   for(var i = 0; i < data_list.length - 1; i++) 
   {
      params = data_list[i].split(',');
      func_FillList(params);
   }
}
